org.apache.xerces.impl.xpath.regex

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.xerces.impl.xpath.regex.ParseException

- All Implemented Interfaces:
    java.io.Serializable

      public class ParseException
      extends java.lang.RuntimeException

  Version:
    $Id: ParseException.java 572108 2007-09-02 18:48:31Z mrglavas $
  Author:
    TAMURA Kent <kent@trl.ibm.co.jp>
  See Also:
    Serialized Form

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseException(java.lang.String mes, int location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLocation()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseException

          public ParseException(java.lang.String mes,
                                int location)

  - ### Method Detail

    - #### getLocation

          public int getLocation()

      Returns:
        -1 if location information is not available.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.